Reveal
Reveal emails
Get emails and email statuses for people.
Webhook result: Documentation
Query Parameters
apiToken?|
Header Parameters
x-api-token?|
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://api.ocean.io/v2/reveal/emails" \ -H "Content-Type: application/json" \ -d '{ "personIds": [ "personId1", "personId2" ], "webhookUrl": "https://some-url.com" }'{
"status": "in progress"
}{
"detail": "Conflicting API tokens provided in query parameters and headers"
}{
"detail": "Insufficient email credits"
}{
"detail": "API token should be provided in headers or query parameters"
}Empty
{
"detail": [
{
"loc": [
"string"
],
"msg": "string",
"type": "string",
"input": null,
"ctx": {}
}
]
}